https://slack.com/conversations.historyFetches a conversation's history of messages and events.
Authentication token. Requires scope: `conversations:history`
Conversation ID to fetch history for.
End of time range of messages to include in results.
Start of time range of messages to include in results.
Include messages with latest or oldest timestamp in results only when either timestamp is specified.
The maximum number of items to return. Fewer than the requested number of items may be returned, even if the end of the users list hasn't been reached.
Paginate through collections of data by setting the `cursor` parameter to a `next_cursor` attribute returned by a previous request's `response_metadata`. Default value fetches the first "page" of the collection. See [pagination](/docs/pagination) for more detail.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/conversations.history' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://slack.com/conversations.historyFetches a conversation's history of messages and events.
Authentication token. Requires scope: `conversations:history`
Conversation ID to fetch history for.
End of time range of messages to include in results.
Start of time range of messages to include in results.
Include messages with latest or oldest timestamp in results only when either timestamp is specified.
The maximum number of items to return. Fewer than the requested number of items may be returned, even if the end of the users list hasn't been reached.
Paginate through collections of data by setting the `cursor` parameter to a `next_cursor` attribute returned by a previous request's `response_metadata`. Default value fetches the first "page" of the collection. See [pagination](/docs/pagination) for more detail.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/conversations.history' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}